Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.web.tag
Class URLTagSupport

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.web.tag.AbstractInputTagSupport
                  |
                  +--com.bea.web.tag.URLTagSupport

public class URLTagSupport
extends AbstractInputTagSupport
implements java.io.Serializable

Provides the rendering logic for an HTML form field that accepts URL values only. In addition, each instance of this class uses an instance of `com.bea.web.validation.URLWord` to perform runtime validation of the value for this field. This class places a URLWord instance in application scope, i.e. accessible via the ServletContext object. The ServletContext is shared by all servlets in a Web application. Consequently, the controller servlet can access the URLWord to validate user input passed in the HTTP request for this form field.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`URLTagSupport()` Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Summary
`int` | `doStartTag()` Prints the tag to the JSP writer.

Methods inherited from class com.bea.web.tag.AbstractInputTagSupport
`getAttrs, getDefault, getMaxlength, getName, getSize, isRequired, printError, release, setAttrs, setDefault, setMaxlength, setName, setRequired, setSize`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URLTagSupport

    public URLTagSupport()

  Default constructor, all subclasses of `javax.servlet.jsp.tagext.TagSupport` are required to only define a public constructor with the same signature, and to call the superclass constructor.

Method Detail

### doStartTag

    public int doStartTag()

  Prints the tag to the JSP writer.

  Returns:
    `javax.servlet.jsp.tagext.Tag.SKIP_BODY` to indicate to the tag handler to skip body evaluation.
  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)